## xidle 20161031

=== Makefile ===
# $MirOS: X11/extras/xidle/Makefile,v 1.5 2013/07/29 13:36:05 tg Exp $
# $OpenBSD: Makefile,v 1.4 2005/07/10 21:12:10 matthieu Exp $

PROG=		xidle
CFLAGS+=	-Wall
.if defined(X11LIBDIR) && !empty(X11LIBDIR)
LDADD+=		-L${X11LIBDIR}
.endif
LDADD+=		-lXss -lXext -lX11

.include <bsd.prog.mk>

=== debian/changelog ===
xidle (20161031) unstable; urgency=low

  * Convert local packaging for inclusion in Debian proper
  * Use default, i.e. xz, compression
  * Bump Policy (no changes)
  * Use debhelper compat 10
  * Make pmake not add -Werror to CFLAGS

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 31 Oct 2016 16:04:01 +0100

xidle (20130729) wtf; urgency=low

  * Initial packaging

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 09 Jul 2015 20:43:11 +0200

=== debian/control ===
Source: xidle
Section: x11
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper (>= 10), libxss-dev, pmake
Standards-Version: 3.9.8

Package: xidle
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: run program after inactivity or edge sensitive
 xidle runs a specific program after a certain amount of
 inactivity time, or when the mouse cursor is moved to an
 edge of the screen for a certain time, all of which is
 configurable. It is commonly used to run xlock.

=== debian/rules ===
#!/usr/bin/make -f

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

CC?=			gcc
EXTRA_CFLAGS=		-Wall -Wextra -Wformat
EXTRA_CPPFLAGS=
EXTRA_LDFLAGS=		-Wl,--as-needed

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
# dpkg-dev (>= 1.16.1~)
DEB_CFLAGS_MAINT_APPEND=${EXTRA_CFLAGS}
DEB_CPPFLAGS_MAINT_APPEND=${EXTRA_CPPFLAGS}
DEB_LDFLAGS_MAINT_APPEND=${EXTRA_LDFLAGS}
DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
else
# old-fashioned way to determine build flags
CFLAGS=			-O$(if $(findstring noopt,${DEB_BUILD_OPTIONS}),0,2) -g
CFLAGS+=		${EXTRA_CFLAGS}
CPPFLAGS+=		${EXTRA_CPPFLAGS}
LDFLAGS+=		${EXTRA_LDFLAGS}
endif

DO_BSDMAKE:=		env LC_ALL=C \
			    $(foreach i,CC CPPFLAGS CFLAGS LDFLAGS,$(call shellexport,$i)) \
			    pmake NOGCCERROR=1

build build-arch: xidle
build-indep:

xidle:
	dh_testdir
	${DO_BSDMAKE} clean
	${DO_BSDMAKE} depend
	${DO_BSDMAKE} xidle

clean:
	dh_testdir
	${DO_BSDMAKE} cleandir
	dh_clean

binary-indep: build-indep

binary-arch: build-arch
	dh_testdir
	dh_testroot
	if test -x "$$(which dh_prep)"; then dh_prep; else dh_clean -k; fi
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: binary binary-arch binary-indep build build-arch build-indep clean

## xidle 20161031+nmu1

=== debian/changelog ===
xidle (20161031+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:28:48 +0800

## xidle 20200802

=== Makefile ===
# $MirOS: X11/extras/xidle/Makefile,v 1.6 2020/08/02 21:43:24 tg Exp $
# $OpenBSD: Makefile,v 1.4 2005/07/10 21:12:10 matthieu Exp $

PROG=		xidle
SRCS=		${PROG}.c ${MBSDPORT_SRCS}
CFLAGS+=	-Wall -Wextra
.if defined(X11LIBDIR) && !empty(X11LIBDIR)
LDADD+=		-L${X11LIBDIR}
.endif
LDADD+=		-lXss -lXext -lX11

.include <bsd.prog.mk>

=== debian/changelog ===
xidle (20200802) unstable; urgency=medium

  * Update from MirBSD CVS
    - add strtonum(3)
  * Modernise packaging:
    - debhelper 13
    - Policy 4.5.0.2
    - R³:no
    - grudgingly switch to dh7-style packaging
  * Switch to latest bmake, which broke backwards compatibility

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 02 Aug 2020 23:45:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: debhelper (>= 10), libxss-dev, pmake
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 13), bmake (>= 20200710-1~), libxss-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: xidle
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C
export LC_ALL
TZ:=UTC
export TZ

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
endif

OUR_CPPFLAGS+=	-D_FILE_OFFSET_BITS=64

BMAKE_FLAGS+=	MBSDPORT_SRCS=strtonum.c
OUR_CPPFLAGS+=	-DNEED_STRTONUM
OUR_CPPFLAGS+=	-DMBSDPORT_H=\"debian/mbsdport.h\"
OUR_CFLAGS+=	-Wall -Wextra -Wformat

# only needed when backporting to buster and older
#OUR_LDFLAGS+=	-Wl,--as-needed

dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

# disable -Werror for package build (comment this out if developing)
BMAKE_FLAGS+=	NOGCCERROR=Yes

DO_BSDMAKE:=	env \
		    $(foreach i,CC CPPFLAGS CFLAGS LDFLAGS,$(call shellexport,$i)) \
		    bmake -m /usr/share/bmake/mk-netbsd ${BMAKE_FLAGS}

%:
	dh $@ -Snone

override_dh_auto_clean:
	${DO_BSDMAKE} clean
	-rm -f .depend

override_dh_auto_build:
	${DO_BSDMAKE} clean
	-rm -f .depend
	${DO_BSDMAKE} depend
	${DO_BSDMAKE} xidle
	test -x xidle

## xidle 20200802build1

=== debian/changelog ===
xidle (20200802build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 02 Dec 2025 23:40:11 +0100
